提交 f1ecb1ba 编写于 作者: D Dan Lorenc

Fix xhyve integration tests.

上级 e3a05b06
...@@ -15,11 +15,12 @@ ...@@ -15,11 +15,12 @@
# limitations under the License. # limitations under the License.
# This script runs the integration tests on an OSX machine for the xhyve Driver # This script runs the integration tests on an OSX machine for the XHyve Driver
# The script expects the following env variabls: # The script expects the following env variabls:
# MINIKUBE_LOCATION: GIT_COMMIT from upstream build. # MINIKUBE_LOCATION: GIT_COMMIT from upstream build.
# COMMIT: Actual commit ID from upstream build # COMMIT: Actual commit ID from upstream build
# EXTRA_BUILD_ARGS (optional): Extra args to be passed into the minikube integrations tests
# access_token: The Github API access token. Injected by the Jenkins credential provider. # access_token: The Github API access token. Injected by the Jenkins credential provider.
...@@ -33,37 +34,7 @@ cp -r out/testdata ./ ...@@ -33,37 +34,7 @@ cp -r out/testdata ./
# Allow this to fail, we'll switch on the return code below. # Allow this to fail, we'll switch on the return code below.
set +e set +e
out/e2e-darwin-amd64 -minikube-args="--vm-driver=virtualbox --cpus=4 ${EXTRA_BUILD_ARGS}" -test.v -test.timeout=30m -binary=out/minikube-darwin-amd64 out/e2e-darwin-amd64 -minikube-args="--vm-driver=xhyve --cpus=4 ${EXTRA_BUILD_ARGS}" -test.v -test.timeout=30m -binary=out/minikube-darwin-amd64
result=$?
set -e
if [[ $result -eq 0 ]]; then
status="success"
else
status="failure"
fi
set +x
target_url="https://storage.googleapis.com/minikube-builds/logs/${MINIKUBE_LOCATION}/OSX-Virtualbox.txt"
curl "https://api.github.com/repos/kubernetes/minikube/statuses/${COMMIT}?access_token=$access_token" \
-H "Content-Type: application/json" \
-X POST \
-d "{\"state\": \"$status\", \"description\": \"Jenkins\", \"target_url\": \"$target_url\", \"context\": \"OSX-VirtualBox\"}"
set -x
exit $result
mkdir -p out
gsutil -m cp -r gs://minikube-builds/${MINIKUBE_LOCATION}/* out/
chmod +x out/e2e-darwin-amd64
chmod +x out/minikube-darwin-amd64
cp -r out/testdata ./
./out/minikube-darwin-amd64 delete || true
set +e
out/e2e-darwin-amd64 -minikube-args="--vm-driver=xhyve --cpus=4" -test.v -test.timeout=30m -binary=out/minikube-darwin-amd64
result=$? result=$?
set -e set -e
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册